For the complete documentation index, see llms.txt. This page is also available as Markdown.

Simulation Orders (DOMS)

Endpoints to create, update, and read simulation orders used to try out routing behavior.

List simulation orders

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Get all simulation orders

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumberOptional
startAfterIdstringOptional
Responses
200

Simulation orders were found & you were allowed to access them.

application/json

SimulationOrder

createdstring · date-timeRequired

Timestamp when the simulation order was created

Example: 2026-06-17T12:00:00.000Z
customAttributesobjectOptional

Attributes that can be added to the order

idstringRequired

Unique identifier of the simulation order

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Timestamp when the simulation order was last modified

Example: 2026-06-17T12:00:00.000Z
orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
get/api/simulations/orders
GET /api/simulations/orders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "total": {
      "priceBreakdown": {
        "subTotal": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "total": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalDiscounts": {
          "breakdown": {
            "lineItemDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            },
            "orderDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            }
          },
          "value": {
            "currency": "EUR",
            "decimalPlaces": 2,
            "value": 1299
          }
        },
        "totalFees": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalLineItemSurcharges": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalTaxes": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    }
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}

Create simulation order

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Create a simulation order for testing purposes

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

SimulationOrderForCreation

customAttributesobjectOptional

Attributes that can be added to the order

orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
Responses
201

The simulation order has been successfully created.

application/json

SimulationOrder

createdstring · date-timeRequired

Timestamp when the simulation order was created

Example: 2026-06-17T12:00:00.000Z
customAttributesobjectOptional

Attributes that can be added to the order

idstringRequired

Unique identifier of the simulation order

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Timestamp when the simulation order was last modified

Example: 2026-06-17T12:00:00.000Z
orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
post/api/simulations/orders
POST /api/simulations/orders HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4307

{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ]
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "tags": []
}
{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "total": {
      "priceBreakdown": {
        "subTotal": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "total": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalDiscounts": {
          "breakdown": {
            "lineItemDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            },
            "orderDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            }
          },
          "value": {
            "currency": "EUR",
            "decimalPlaces": 2,
            "value": 1299
          }
        },
        "totalFees": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalLineItemSurcharges": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalTaxes": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    }
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}

Get simulation order

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Get a single simulation order by id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

The simulation order was found

application/json

SimulationOrder

createdstring · date-timeRequired

Timestamp when the simulation order was created

Example: 2026-06-17T12:00:00.000Z
customAttributesobjectOptional

Attributes that can be added to the order

idstringRequired

Unique identifier of the simulation order

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Timestamp when the simulation order was last modified

Example: 2026-06-17T12:00:00.000Z
orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
get/api/simulations/orders/{id}
GET /api/simulations/orders/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "total": {
      "priceBreakdown": {
        "subTotal": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "total": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalDiscounts": {
          "breakdown": {
            "lineItemDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            },
            "orderDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            }
          },
          "value": {
            "currency": "EUR",
            "decimalPlaces": 2,
            "value": 1299
          }
        },
        "totalFees": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalLineItemSurcharges": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalTaxes": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    }
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}

Update simulation order

put

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Update a simulation order

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

SimulationOrderForUpdate

customAttributesobjectOptional

Attributes that can be added to the order

orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
Responses
200

The simulation order was successfully updated

application/json

SimulationOrder

createdstring · date-timeRequired

Timestamp when the simulation order was created

Example: 2026-06-17T12:00:00.000Z
customAttributesobjectOptional

Attributes that can be added to the order

idstringRequired

Unique identifier of the simulation order

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Timestamp when the simulation order was last modified

Example: 2026-06-17T12:00:00.000Z
orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
put/api/simulations/orders/{id}
PUT /api/simulations/orders/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4319

{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ]
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}
{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "total": {
      "priceBreakdown": {
        "subTotal": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "total": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalDiscounts": {
          "breakdown": {
            "lineItemDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            },
            "orderDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            }
          },
          "value": {
            "currency": "EUR",
            "decimalPlaces": 2,
            "value": 1299
          }
        },
        "totalFees": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalLineItemSurcharges": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalTaxes": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    }
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}

Delete simulation order

delete

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Delete a simulation order

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
204

The simulation order was successfully deleted

No content

delete/api/simulations/orders/{id}
DELETE /api/simulations/orders/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Patch simulation order

patch

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Partially update a simulation order

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

SimulationOrderForPartialUpdate

customAttributesobjectOptional

Attributes that can be added to the order

orderDatestring · date-timeOptional

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
Responses
200

The simulation order was successfully patched

application/json

SimulationOrder

createdstring · date-timeRequired

Timestamp when the simulation order was created

Example: 2026-06-17T12:00:00.000Z
customAttributesobjectOptional

Attributes that can be added to the order

idstringRequired

Unique identifier of the simulation order

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeRequired

Timestamp when the simulation order was last modified

Example: 2026-06-17T12:00:00.000Z
orderDatestring · date-timeRequired

The date this order was created at the supplying system

Example: 2026-06-17T12:00:00.000Z
statusstring · enumOptional

Status of the order

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
versionnumberRequired

Version number for optimistic locking

Example: 1
patch/api/simulations/orders/{id}
PATCH /api/simulations/orders/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4319

{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ]
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}
{
  "consumer": {
    "addresses": [
      {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr."
      }
    ],
    "consumerId": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "customAttributes": {},
    "facilityRef": "e4213a07-f563-46a3-b1ba-4dfeb6abe82a",
    "tenantFacilityId": "text"
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {},
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "orderDate": "2026-06-17T12:00:00.000Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": []
    }
  ],
  "paymentInfo": {
    "methodLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "currency": "EUR"
  },
  "pricing": {
    "discounts": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "code": "text",
        "context": "text",
        "name": "text",
        "percentage": 1,
        "tenantDiscountId": "text",
        "type": "ABSOLUTE",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "fees": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "name": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "taxes": [
      {
        "ratePercent": 1,
        "scope": "text",
        "taxableValue": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "type": "text",
        "value": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    ],
    "total": {
      "priceBreakdown": {
        "subTotal": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "total": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalDiscounts": {
          "breakdown": {
            "lineItemDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            },
            "orderDiscounts": {
              "currency": "EUR",
              "decimalPlaces": 2,
              "value": 1299
            }
          },
          "value": {
            "currency": "EUR",
            "decimalPlaces": 2,
            "value": 1299
          }
        },
        "totalFees": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalLineItemSurcharges": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        },
        "totalTaxes": {
          "currency": "EUR",
          "decimalPlaces": 2,
          "value": 1299
        }
      }
    }
  },
  "promisesOptions": {
    "validUntil": "2020-02-03T08:45:50.525Z"
  },
  "status": "OPEN",
  "statusReasons": [],
  "stickers": [],
  "tenantOrderId": "MY_ORDER_ID",
  "version": 1,
  "tags": []
}

Search simulation orders

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for SimulationOrder

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

SimulationOrderSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

SimulationOrderPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/simulations/orders/search
POST /api/simulations/orders/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 12665

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "consumer": {
              "addresses": {
                "contains": {
                  "addressType": {
                    "eq": "POSTAL_ADDRESS",
                    "in": [
                      "POSTAL_ADDRESS"
                    ],
                    "notEq": "POSTAL_ADDRESS"
                  },
                  "city": "Yellowstone",
                  "companyName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "country": "US",
                  "email": "phil.bison@fulfillmenttools.com",
                  "firstName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "houseNumber": 42,
                  "lastName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "postalCode": "42420",
                  "province": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "street": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                },
                "exists": true
              },
              "consumerId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "customAttributes": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": true,
                "notEq": true
              }
            },
            "deliveryPreferences": {
              "collect": {
                "contains": {
                  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                  "paid": {
                    "eq": true,
                    "notEq": true
                  }
                },
                "exists": true
              },
              "shipping": {
                "desiredDeliveryTime": "2026-06-17T12:00:00.000Z",
                "serviceLevel": {
                  "eq": "DELIVERY",
                  "in": [
                    "DELIVERY"
                  ],
                  "notEq": "DELIVERY"
                }
              }
            },
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "orderDate": "2026-06-17T12:00:00.000Z",
            "orderLineItems": {
              "contains": {
                "article": {
                  "titleLocalized": {
                    "de_DE": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "en_US": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "ru_RU": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "tenantArticleId": "MY_ARTICLE_ID",
                  "title": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                }
              },
              "exists": true
            },
            "paymentInfo": {
              "methodLocalized": {
                "de_DE": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "en_US": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "ru_RU": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "currency": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "method": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "tenantOrderId": "MY_ORDER_ID",
            "tags": {
              "contains": {
                "value": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          }
        ],
        "consumer": {
          "addresses": {
            "contains": {
              "addressType": {
                "eq": "POSTAL_ADDRESS",
                "in": [
                  "POSTAL_ADDRESS"
                ],
                "notEq": "POSTAL_ADDRESS"
              },
              "city": "Yellowstone",
              "companyName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "country": "US",
              "email": "phil.bison@fulfillmenttools.com",
              "firstName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "houseNumber": 42,
              "lastName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "postalCode": "42420",
              "province": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "street": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "exists": true
          },
          "consumerId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "customAttributes": {
          "ANY_ADDITIONAL_PROPERTY": {
            "eq": true,
            "notEq": true
          }
        },
        "deliveryPreferences": {
          "collect": {
            "contains": {
              "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "paid": {
                "eq": true,
                "notEq": true
              }
            },
            "exists": true
          },
          "shipping": {
            "desiredDeliveryTime": "2026-06-17T12:00:00.000Z",
            "serviceLevel": {
              "eq": "DELIVERY",
              "in": [
                "DELIVERY"
              ],
              "notEq": "DELIVERY"
            }
          }
        },
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "consumer": {
              "addresses": {
                "contains": {
                  "addressType": {
                    "eq": "POSTAL_ADDRESS",
                    "in": [
                      "POSTAL_ADDRESS"
                    ],
                    "notEq": "POSTAL_ADDRESS"
                  },
                  "city": "Yellowstone",
                  "companyName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "country": "US",
                  "email": "phil.bison@fulfillmenttools.com",
                  "firstName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "houseNumber": 42,
                  "lastName": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "postalCode": "42420",
                  "province": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  },
                  "street": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                },
                "exists": true
              },
              "consumerId": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "customAttributes": {
              "ANY_ADDITIONAL_PROPERTY": {
                "eq": true,
                "notEq": true
              }
            },
            "deliveryPreferences": {
              "collect": {
                "contains": {
                  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                  "paid": {
                    "eq": true,
                    "notEq": true
                  }
                },
                "exists": true
              },
              "shipping": {
                "desiredDeliveryTime": "2026-06-17T12:00:00.000Z",
                "serviceLevel": {
                  "eq": "DELIVERY",
                  "in": [
                    "DELIVERY"
                  ],
                  "notEq": "DELIVERY"
                }
              }
            },
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "orderDate": "2026-06-17T12:00:00.000Z",
            "orderLineItems": {
              "contains": {
                "article": {
                  "titleLocalized": {
                    "de_DE": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "en_US": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    },
                    "ru_RU": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "tenantArticleId": "MY_ARTICLE_ID",
                  "title": {
                    "eq": "text",
                    "in": [
                      "text"
                    ],
                    "notEq": "text",
                    "notIn": [
                      "text"
                    ]
                  }
                }
              },
              "exists": true
            },
            "paymentInfo": {
              "methodLocalized": {
                "de_DE": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "en_US": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "ru_RU": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "currency": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "method": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "tenantOrderId": "MY_ORDER_ID",
            "tags": {
              "contains": {
                "value": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          }
        ],
        "orderDate": "2026-06-17T12:00:00.000Z",
        "orderLineItems": {
          "contains": {
            "article": {
              "titleLocalized": {
                "de_DE": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "en_US": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "ru_RU": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "tenantArticleId": "MY_ARTICLE_ID",
              "title": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          },
          "exists": true
        },
        "paymentInfo": {
          "methodLocalized": {
            "de_DE": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "en_US": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "ru_RU": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "currency": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "method": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "tenantOrderId": "MY_ORDER_ID",
        "tags": {
          "contains": {
            "value": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        }
      }
    ],
    "consumer": {
      "addresses": {
        "contains": {
          "addressType": {
            "eq": "POSTAL_ADDRESS",
            "in": [
              "POSTAL_ADDRESS"
            ],
            "notEq": "POSTAL_ADDRESS"
          },
          "city": "Yellowstone",
          "companyName": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "country": "US",
          "email": "phil.bison@fulfillmenttools.com",
          "firstName": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "houseNumber": 42,
          "lastName": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "postalCode": "42420",
          "province": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "street": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "exists": true
      },
      "consumerId": {
        "eq": "text",
        "in": [
          "text"
        ],
        "notEq": "text",
        "notIn": [
          "text"
        ]
      }
    },
    "created": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "customAttributes": {
      "ANY_ADDITIONAL_PROPERTY": {
        "eq": true,
        "notEq": true
      }
    },
    "deliveryPreferences": {
      "collect": {
        "contains": {
          "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "paid": {
            "eq": true,
            "notEq": true
          }
        },
        "exists": true
      },
      "shipping": {
        "desiredDeliveryTime": "2026-06-17T12:00:00.000Z",
        "serviceLevel": {
          "eq": "DELIVERY",
          "in": [
            "DELIVERY"
          ],
          "notEq": "DELIVERY"
        }
      }
    },
    "lastModified": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "consumer": {
          "addresses": {
            "contains": {
              "addressType": {
                "eq": "POSTAL_ADDRESS",
                "in": [
                  "POSTAL_ADDRESS"
                ],
                "notEq": "POSTAL_ADDRESS"
              },
              "city": "Yellowstone",
              "companyName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "country": "US",
              "email": "phil.bison@fulfillmenttools.com",
              "firstName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "houseNumber": 42,
              "lastName": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "postalCode": "42420",
              "province": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "street": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            },
            "exists": true
          },
          "consumerId": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        },
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
[...]
